View Issue Details

IDProjectCategoryView StatusLast Update
0002760Ham Radio DeluxeMaintenancepublic2019-01-16 22:04
ReporterKB3NPH 
Assigned ToK7ZCZ 
PriorityurgentSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.5.0.183 
Summary0002760: FT-991 firmware upgrade makes HRD unusable
DescriptionWith the update of firmware to the latest, many of the cat commands no longer work, even more important they do things that they should not do. All menu commands starting with 088 have move down two numbers. This has basically made HRD unusable for me, both in the shack, but especially remote operations where I am not at the radio.

If it is not going to be fixed soon, please let me know the module name that contains the cat command strings and if possible the approximate offset. If necessary I will try and patch the module so at least it will not do unexpected things. The new list of CAT commands is contained in the download for the firmware update. If you need it I can upload the documentation file for you.
Additional InformationTicket #491445
TagsFT-991, FT-991A, Yaesu
ModuleRig Control
Sub-ModuleFunctional
Testing Beta Successful

Relationships

related to 0002928 closedK7ZCZ 4 - Closed w/o Action FT-991 and 991A - Response to Rig Control very slow 
related to 0002954 closedK7ZCZ Ham Radio Deluxe FT-991A S-meter in RC GUI locks 
related to 0002865 closedK7ZCZ Ham Radio Deluxe V6.4.0.876 - FT-991A missing VFO-B in GUI 
related to 0002627 closedK7ZCZ Ham Radio Deluxe Miscellaneous fixes for FT-991 Rig Control 

Activities

WA9PIE

2018-09-09 13:17

administrator   ~0006154

Is this only the FT-991... or does this also affect the FT-991A?

PD9FER

2018-09-11 02:42

viewer   ~0006198

Ticket #456777 FT-991A Lagging Communications to the radio and Missing VFO-B (No confirmation on firmware update yet)
Ticket #566089 FT-991 Lagging Communications to the radio and Missing VFO-B (Confirmed Firmware update)
Ticket #843190 FT-991 Lagging communications to the radio (No confirmation on Firmware update yet)
Ticket #921395 FT-991A (but has only S-Meter issues)
Ticket #487065 FT-991 Lagging communications to the radio (Confirmed Firmware update)

I will keep track on this together with Tim

PD9FER

2018-10-15 04:40

viewer   ~0006282

New Ticket #115958
The main one is the time delay when operating my FT-991A through HRD. There is a 5-6 second delay when changing bands, when using:

 In HRD –
•Logbook; there are time delays selecting callsigns from the DX cluster etc.
•DM 780 time delays sending etc.

•Wsjt-x through HRD there are time delays on the start of transmit of around 3-4 seconds and at the finish of a transmit period there is a delay of around 3-5 seconds plus delays on band changing around 2-5 seconds.

PD9FER

2018-10-15 04:41

viewer   ~0006283

Another Ticket, same complaints as above Ticket# 490928

PD9FER

2018-11-08 04:56

viewer   ~0006402

Please Prioritize these FT-991(A) issues.
Customers are getting very upset.

K7ZCZ

2018-12-13 10:57

manager   ~0006598

I am testing with this firmware:


Main: 3.1
DSP: 1.11
TFT: 3.00
C4FM: 4.15

K7ZCZ

2018-12-13 11:06

manager   ~0006599

Doing binary edits of the executables is not something we support. It's not a workable solution for several different reasons, and isn't something that we should be suggesting to customers as a viable approach.

It would be a lot easier to work this issue if it were split into individual items. In the future, please avoid "piling on" different problems in to the same Mantis issue. It's always easier to resolve something as related or a duplicate than it is to pick apart different problems in the same Mantis issue.


The issues presented in this bug are duplicates of other issues already tracked:

Ticket #566089: 2928, 2865
Ticket #456777: 2928, 2865
Ticket #843190: 2928
Ticket #921395: 2954
Ticket #487065: 2928
Ticket #115958: 2928
Ticket #490928: 2928


That leaves us with the fundamental complaint that "All menu commands starting with 088 have move down two numbers." Let's use this issue for tracking a fix for that. If other symptoms appaear, please open a new Mantis issue for each of them instead of overloading this one.

K7ZCZ

2018-12-13 14:10

manager   ~0006618

RTTY sliders (only) are fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4557

K7ZCZ

2018-12-14 14:52

manager   ~0006648

There's a overlap with this issue and several others. Between the resolution of the related issues and this checkin, I think we're all set to work against current firmware.

https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4561

WA9PIE

2018-12-17 11:57

administrator   ~0006693

I removed ticket number from the Summary and placed it in Additional Information.

PD9FER

2018-12-20 08:15

viewer   ~0006730

Sent Beta to the customer.
Waiting for feedback

WA9PIE

2019-01-01 21:09

administrator   ~0006831

Validated

Issue History

Date Modified Username Field Change
2018-06-04 12:55 KB3NPH New Issue
2018-09-09 13:17 WA9PIE Note Added: 0006154
2018-09-11 02:42 PD9FER Note Added: 0006198
2018-10-15 04:40 PD9FER Note Added: 0006282
2018-10-15 04:41 PD9FER Note Added: 0006283
2018-11-08 04:56 PD9FER Note Added: 0006402
2018-11-27 11:56 WA9PIE Tag Attached: FT-991
2018-11-29 00:17 WA9PIE Tag Attached: Yaesu FT-991(A)
2018-11-29 00:18 WA9PIE Tag Detached: FT-991
2018-11-30 18:12 WA9PIE Tag Attached: Yaesu
2018-11-30 18:13 WA9PIE Tag Attached: FT-991
2018-11-30 18:14 WA9PIE Tag Attached: FT-991A
2018-11-30 18:23 WA9PIE Tag Detached: FT-991A
2018-11-30 18:23 WA9PIE Tag Detached: Yaesu FT-991(A)
2018-12-13 00:01 WA9PIE Project 1 - Backlog => 3 - Current Dev List
2018-12-13 10:55 K7ZCZ Tag Attached: FT-991A
2018-12-13 10:57 K7ZCZ Note Added: 0006598
2018-12-13 11:06 K7ZCZ Note Added: 0006599
2018-12-13 11:06 K7ZCZ Relationship added related to 0002928
2018-12-13 11:06 K7ZCZ Relationship added related to 0002954
2018-12-13 11:06 K7ZCZ Relationship added related to 0002865
2018-12-13 14:04 K7ZCZ Relationship added related to 0002986
2018-12-13 14:05 K7ZCZ Relationship deleted related to 0002986
2018-12-13 14:05 K7ZCZ Relationship added related to 0002627
2018-12-13 14:10 K7ZCZ Note Added: 0006618
2018-12-14 14:52 K7ZCZ Assigned To => K7ZCZ
2018-12-14 14:52 K7ZCZ Status new => resolved
2018-12-14 14:52 K7ZCZ Resolution open => fixed
2018-12-14 14:52 K7ZCZ Note Added: 0006648
2018-12-14 17:11 K7ZCZ Fixed in Version => 6.5.0.137
2018-12-17 11:57 WA9PIE Summary Ticket #491445 - FT-991 firmware upgrade makes HRD unusable => FT-991 firmware upgrade makes HRD unusable
2018-12-17 11:57 WA9PIE Additional Information Updated View Revisions
2018-12-17 11:57 WA9PIE Note Added: 0006693
2018-12-20 08:15 PD9FER Note Added: 0006730
2019-01-01 21:09 WA9PIE Status resolved => closed
2019-01-01 21:09 WA9PIE Testing Not Started => Beta Successful
2019-01-01 21:09 WA9PIE Note Added: 0006831
2019-01-16 22:04 WA9PIE Fixed in Version 6.5.0.137 => 6.5.0.183
2019-01-16 22:04 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe